package test.cn.unitid.realidentity.openapi.sdk;

import cn.unitid.witeye.sdk.ApiClient;
import cn.unitid.witeye.sdk.ApiException;
import cn.unitid.witeye.sdk.DefaultApiClient;
import cn.unitid.witeye.sdk.request.VerificationGetTokenRequest;
import cn.unitid.witeye.sdk.response.VerificationGetTokenResponse;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

/**
 * @author qzh
 * @create 2020-07-29 2020/7/29
 */
public class VerificationGetToken {

    public static void main(String[] args) {

        //提供的url
        String url = "http://eapi.spiderid.cn/openapi/verification";
        //您的appKey
        String appkey = "xxx";
        //您的appSecret
        String secretKey = "xxx";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);

        VerificationGetTokenRequest req = new VerificationGetTokenRequest();


        //业务场景
        //FULL: 完整流程 首次验证或重新验证 验证成功保存或更新信息
        //SECOND: 二次验证 需要之前已经进行过验证
        //FAST: 快速验证 1 验证成功不保存信息 2 不出现人工审核
        req.setAuthScene("FAST");
        //运行环境
        //SDK_ANDROID: 以SDK运行 支持Android
        //SDK_IOS: 以SDK运行  IOS
        //H5: H5运行 支持大多数手机浏览器
        req.setRunEnv("H5");
        //姓名(选填)
//        req.setRealname("XXX");
        //证件号(选填)
        //req.setIdcard("XXX");

        //服务器通知地址(选填)
        //req.setNotifyUrl("XXX.XXX.XXX");

        try {
            VerificationGetTokenResponse response = apiClient.execute(req);
            //后续业务处理
            if(response.isSuccess()){
                // 接口调用正常
            }else{
                // 接口调用失败
				int errorCode = response.getErrorCode(); //获取失败状态码
                String msg = response.getMsg(); //获取错误消息
            }

        } catch (ApiException e) {
            e.printStackTrace();
        }
    }

}
